import { ChangeDetectorRef, EventEmitter, ElementRef, Renderer2 } from '@angular/core';
export declare class RRadioComponent {
    protected cd: ChangeDetectorRef;
    protected renderer: Renderer2;
    get name(): string;
    set name(value: string);
    private _name;
    get checked(): boolean;
    set checked(value: boolean);
    private _checked;
    static ngAcceptInputType_checked: any;
    get value(): any;
    set value(value: any);
    private _value;
    get disabled(): boolean;
    set disabled(disabled: boolean);
    private _disabled;
    static ngAcceptInputType_disabled: any;
    status: string;
    valueChange: EventEmitter<any>;
    blur: EventEmitter<void>;
    input: ElementRef<HTMLInputElement>;
    constructor(cd: ChangeDetectorRef, renderer: Renderer2);
    get isPrimary(): boolean;
    get isSuccess(): boolean;
    get isWarning(): boolean;
    get isDanger(): boolean;
    get isInfo(): boolean;
    get isBasic(): boolean;
    get isControl(): boolean;
    onChange(event: Event): void;
    onClick(event: Event): void;
    _markForCheck(): void;
    _setName(name: string): void;
}
